## cantor 15.08.1

=== CMakeLists.txt ===
project(cantor)

cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)

add_definitions(-DMAKE_CANTORLIBS_LIB)

find_package(ECM 1.7.0 REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${cantor_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 CONFIG REQUIRED
    Core
    Widgets
    Svg
    Xml
    XmlPatterns
    Test)

find_package(KF5 REQUIRED
    Config
    NewStuff
    TextEditor
    CoreAddons
    Archive
    Parts
    Pty
    KDELibs4Support)

include(FeatureSummary)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)
include(ECMAddAppIcon)

if(NOT WIN32)
    set_package_properties(LibSpectre PROPERTIES DESCRIPTION "A PostScript rendering library"
        URL "http://libspectre.freedesktop.org/wiki/"
        TYPE OPTIONAL
        PURPOSE "Support for rendering EPS files in Cantor")

    find_package(LibSpectre)
    if(LibSpectre_FOUND)
        set(WITH_EPS On)
    else(LibSpectre_FOUND)
        set(WITH_EPS Off)
    endif(LibSpectre_FOUND)

else(NOT WIN32)
    set(WITH_EPS Off)
endif(NOT WIN32)

include_directories(${KDE4_INCLUDES})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

add_subdirectory(doc)
add_subdirectory(src)
add_subdirectory(icons)

install(FILES org.kde.cantor.appdata.xml DESTINATION ${KDE_INSTALL_DATAROOTDIR}/appdata/)


feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/lib/CMakeLists.txt ===
set(GENERIC_LIB_VERSION "0.6.0")
set(GENERIC_LIB_SOVERSION "6")

set( cantor_LIB_SRCS
  session.cpp
  expression.cpp
  backend.cpp
  result.cpp
  textresult.cpp
  imageresult.cpp
  epsresult.cpp
  latexresult.cpp
  latexrenderer.cpp
  helpresult.cpp
  animationresult.cpp
  extension.cpp
  assistant.cpp
  completionobject.cpp
  syntaxhelpobject.cpp
  defaulthighlighter.cpp
  defaultvariablemodel.cpp
  panelplugin.cpp
  panelpluginhandler.cpp
  directives/plotdirectives.cpp
)

Set( cantor_LIB_HDRS
  cantor_macros.h
  cantor_export.h
  #base classes
  backend.h
  session.h
  expression.h
  extension.h
  syntaxhelpobject.h
  completionobject.h
  #results
  animationresult.h
  epsresult.h
  helpresult.h
  imageresult.h
  latexresult.h
  result.h
  textresult.h
  #helper classes
  defaulthighlighter.h
  defaultvariablemodel.h

)

ki18n_wrap_ui(cantor_LIB_SRCS directives/axisrange.ui directives/plottitle.ui)

kconfig_add_kcfg_files(cantor_LIB_SRCS settings.kcfgc)
install(FILES cantor_libs.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

configure_file (config-cantorlib.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-cantorlib.h )

add_library( cantorlibs  SHARED ${cantor_LIB_SRCS} )

target_link_libraries( cantorlibs
  KF5::KDELibs4Support
  KF5::KIOCore
  KF5::Archive
  KF5::ConfigCore
  KF5::ConfigGui
  ${QT5_LIBRARIES}
  Qt5::Xml
)

set_target_properties( cantorlibs
  PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION}
)


install( TARGETS cantorlibs  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

install( FILES ${cantor_LIB_HDRS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/cantor
  COMPONENT Devel
)

install( FILES cantor_backend.desktop  DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})
install( FILES cantor_assistant.desktop  DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})
install( FILES cantor_panelplugin.desktop  DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})

add_subdirectory(test)

=== src/assistants/plot3d/CMakeLists.txt ===
set( Plot3dAssistant_SRCS
     plot3dassistant.cpp
)

ki18n_wrap_ui(Plot3dAssistant_SRCS plot3ddlg.ui)

add_library( cantor_plot3dassistant MODULE ${Plot3dAssistant_SRCS} )
target_link_libraries( cantor_plot3dassistant ${KDE4_KDEUI_LIBS} cantorlibs)

install( FILES plot3dassistant.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR}/cantor)
install( FILES cantor_plot3d_assistant.rc  DESTINATION  ${KDE_INSTALL_DATADIR}/cantor )
install(TARGETS cantor_plot3dassistant DESTINATION ${KDE_INSTALL_PLUGINDIR})

=== src/backends/null/CMakeLists.txt ===
set( NullBackend_SRCS
 nullbackend.cpp
 nullsession.cpp
 nullexpression.cpp
 nullcompletionobject.cpp
)

add_library(cantor_nullbackend MODULE ${NullBackend_SRCS} )
target_link_libraries(cantor_nullbackend cantorlibs)

install( FILES nullbackend.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR}/cantor)
install(TARGETS cantor_nullbackend DESTINATION ${KDE_INSTALL_PLUGINDIR})

=== src/backends/scilab/CMakeLists.txt ===
set( ScilabBackend_SRCS
     scilabbackend.cpp
     scilabsession.cpp
     scilabexpression.cpp
     scilabextensions.cpp
     scilabkeywords.cpp
     scilabhighlighter.cpp
     scilabcompletionobject.cpp
)

kconfig_add_kcfg_files(ScilabBackend_SRCS settings.kcfgc)
install(FILES scilabbackend.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

ki18n_wrap_ui(ScilabBackend_SRCS settings.ui)

add_library(cantor_scilabbackend MODULE ${ScilabBackend_SRCS})
target_link_libraries(cantor_scilabbackend cantorlibs KF5::KIOCore)

install(FILES cantor_scilab.knsrc  DESTINATION  ${KDE_INSTALL_CONFDIR})
install(FILES scilabbackend.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR}/cantor)
install(TARGETS cantor_scilabbackend DESTINATION ${KDE_INSTALL_PLUGINDIR})

=== src/panelplugins/variablemgr/CMakeLists.txt ===
set( VariableManagerPlugin_SRCS 
     variablemanagerplugin.cpp
     variablemanagerwidget.cpp
)

ki18n_wrap_ui(VariableManagerPlugin_SRCS newvardlg.ui)

add_library(cantor_variablemanagerplugin MODULE ${VariableManagerPlugin_SRCS} )
target_link_libraries( cantor_variablemanagerplugin ${KDE4_KDEUI_LIBS} KF5::KIOWidgets cantorlibs)

install( FILES variablemanagerplugin.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR}/cantor)
#install( FILES cantor_help_assistant.rc  DESTINATION  ${KDE_INSTALL_DATADIR}/cantor )
install(TARGETS cantor_variablemanagerplugin DESTINATION ${KDE_INSTALL_PLUGINDIR})

=== debian/changelog ===
cantor (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:05:58 +0100

=== debian/control ===
Source: cantor
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               gettext,
               kdoctools-dev,
               kgendesignerplugin,
               kinit-dev,
               kio-dev,
               libanalitza-dev,
               libglib2.0-dev,
               libkf5archive-dev,
               libkf5attica-dev,
               libkf5auth-dev,
               libkf5bookmarks-dev,
               libkf5codecs-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5dbusaddons-dev,
               libkf5emoticons-dev,
               libkf5globalaccel-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemmodels-dev,
               libkf5itemviews-dev,
               libkf5jobwidgets-dev,
               libkf5kdelibs4support-dev,
               libkf5newstuff-dev,
               libkf5notifications-dev,
               libkf5parts-dev,
               libkf5pty-dev,
               libkf5service-dev,
               libkf5solid-dev,
               libkf5sonnet-dev,
               libkf5texteditor-dev,
               libkf5textwidgets-dev,
               libkf5unitconversion-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libluajit-5.1-dev  [i386 amd64],
               libqalculate-dev,
               libqt5svg5-dev,
               libqt5xmlpatterns5-dev,
               libspectre-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               python-dev,
               python3-dev,
               qtbase5-dev,
               r-base-core
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: http://edu.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/cantor.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/cantor.git

Package: cantor
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: cantor-backend-qalculate, texlive-binaries, texlive-latex-base
Suggests: cantor-backend-kalgebra,
          cantor-backend-lua [i386 amd64],
          cantor-backend-maxima,
          cantor-backend-octave,
          cantor-backend-python2,
          cantor-backend-python3,
          cantor-backend-r,
          cantor-backend-sage,
          cantor-backend-scilab [i386 amd64]
Description: interface for mathematical applications
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 Cantor supports various mathematical applications as backends (provided in
 external packages):
  * Maxima Computer Algebra System (cantor-backend-maxima)
  * R Project for Statistical Computing (cantor-backend-r)
  * Sage Mathematics Software (cantor-backend-sage)
  * Octave (cantor-backend-octave)
  * Python (cantor-backend-python2 and cantor-backend-python3)
  * Scilab (cantor-backend-scilab)
  * Qalculate! (cantor-backend-qalculate)
  * Lua (cantor-backend-lua)
 .
 This package is part of the KDE education module.

Package: cantor-dev
Architecture: any
Section: libdevel
Depends: cantor (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: interface for mathematical applications - development files
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 Cantor supports various mathematical applications as backends (provided in
 external packages):
  * Maxima Computer Algebra System (cantor-backend-maxima)
  * R Project for Statistical Computing (cantor-backend-r)
  * Sage Mathematics Software (cantor-backend-sage)
  * Octave (cantor-backend-octave)
  * Python (cantor-backend-python2 and cantor-backend-python3)
  * Scilab (cantor-backend-scilab)
  * Qalculate! (cantor-backend-qalculate)
  * Lua (cantor-backend-lua)
 .
 This package is part of the KDE education module.
 .
 This package contains development files for cantor.

Package: cantor-backend-kalgebra
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KAlgebra backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using KAlgebra
 (http://edu.kde.org/kalgebra) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-maxima
Architecture: any
Section: math
Depends: maxima, ${misc:Depends}, ${shlibs:Depends}
Description: Maxima backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Maxima Computer Algebra System
 (http://maxima.sourceforge.net) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-octave
Architecture: any
Section: math
Depends: octave, ${misc:Depends}, ${shlibs:Depends}
Description: Octave backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the GNU Octave language for
 numerical computations (http://www.octave.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: libcantor-pythonbackend
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Base Python backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Python language
 (http://www.python.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-python2
Architecture: any
Section: math
Depends: python, ${misc:Depends}, ${shlibs:Depends}
Description: Python2 backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Python2 language
 (http://www.python.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-python3
Architecture: any
Section: math
Depends: python3, ${misc:Depends}, ${shlibs:Depends}
Description: Python3 backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Python3 language
 (http://www.python.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-qalculate
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qalculate! backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Qalculate! calculator
 (http://qalculate.sourceforge.net/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-r
Architecture: any
Section: math
Depends: r-base-core, ${misc:Depends}, ${shlibs:Depends}
Suggests: r-base-html
Description: R backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the R Project for Statistical
 Computing (http://www.r-project.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-sage
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: sagemath
Description: Sage backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Sage Mathematics Software
 (http://www.sagemath.org) in Cantor.
 .
 Please note that sagemath is not available in Debian, so you need to manually
 install it for this package to work.
 .
 This package is part of the KDE education module.

Package: cantor-backend-scilab
Architecture: amd64 i386
Section: math
Depends: scilab-cli, ${misc:Depends}, ${shlibs:Depends}
Description: Scilab backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Scilab scientific software
 package for numerical computations (http://www.scilab.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-lua
Architecture: amd64 i386
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: cantor (<< 4:15.08.0+git20150909)
Replaces: cantor (<< 4:15.08.0+git20150909)
Description: Lua backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Lua language
 (http://www.lua.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-dbg
Architecture: any
Section: debug
Priority: extra
Depends: cantor (= ${binary:Version}), ${misc:Depends}
Breaks: kdeedu-dbg (<< 4:4.6.80)
Replaces: kdeedu-dbg (<< 4:4.6.80)
Description: debugging symbols for cantor
 This package contains debugging files used to investigate problems with
 binaries included in cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-python
Architecture: all
Priority: extra
Section: oldlibs
Depends: cantor-backend-python2
Description: Python backend for Cantor -- transitional package
 Transitional package for cantor-backend-python2
 .
 This package can be safely removed after installation

## cantor 15.08.2

=== debian/changelog ===
cantor (4:15.08.2-0ubuntu3) xenial; urgency=medium

  * No-change rebuild for python3 defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Oct 2015 10:39:39 +0000

cantor (4:15.08.2-0ubuntu2) wily; urgency=medium

  * Start kdeinit5 rather than kdeinit4 in the autopkgtest testsuite
  * autopkgtest depends on python3-numpy to pass the python3 tests
  * Made octave backend depend on ghostscript as some of its scripts use the
    print instruction which requires it
  * Added kubuntu_by-default-use-octave-cli-rather-than-octave.patch to change
    the octave binary from 'octave' to 'octave-cli' as octave for unknown
    reasons decides to load the GUI when we really want the CLI. Also filed
    for review upstream

 -- Harald Sitter <sitter@kde.org>  Thu, 15 Oct 2015 15:26:27 +0200

cantor (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 11:48:54 +0100

=== debian/control ===
--- 
+++ 
@@ -154,7 +154,7 @@
 Package: cantor-backend-octave
 Architecture: any
 Section: math
-Depends: octave, ${misc:Depends}, ${shlibs:Depends}
+Depends: ghostscript, octave, ${misc:Depends}, ${shlibs:Depends}
 Description: Octave backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs

## cantor 15.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
 find_package(Qt5 CONFIG REQUIRED
     Core
     Widgets
+    PrintSupport
     Svg
     Xml
     XmlPatterns
@@ -17,13 +18,20 @@
 
 find_package(KF5 REQUIRED
     Config
+    Crash
+    Completion
+    DocTools
     NewStuff
+    IconThemes
     TextEditor
     CoreAddons
     Archive
     Parts
     Pty
-    KDELibs4Support)
+    TextWidgets
+    KIO
+    XmlGui
+    I18n)
 
 include(FeatureSummary)
 include(ECMInstallIcons)
@@ -51,8 +59,8 @@
     set(WITH_EPS Off)
 endif(NOT WIN32)
 
-include_directories(${KDE4_INCLUDES})
 add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
+kde_enable_exceptions()
 
 add_subdirectory(doc)
 add_subdirectory(src)

=== icons/CMakeLists.txt ===
ecm_install_icons(ICONS
                  16-apps-cantor.png
                  22-apps-cantor.png
                  32-apps-cantor.png
                  48-apps-cantor.png
                  64-apps-cantor.png
                  128-apps-cantor.png
                  48-apps-kalgebrabackend.png
                  48-apps-luabackend.png
                  48-apps-maximabackend.png
                  48-apps-octavebackend.png
                  48-apps-pythonbackend.png
                  48-apps-qalculatebackend.png
                  48-apps-rbackend.png
                  48-apps-sagebackend.png
                  48-apps-scilabbackend.png
                  DESTINATION ${KDE_INSTALL_ICONDIR}
                  THEME hicolor)

=== src/assistants/CMakeLists.txt ===
function(add_assistant name)

    kcoreaddons_add_plugin("cantor_${name}"
        SOURCES ${ARGN}
        JSON "${name}.json"
        INSTALL_NAMESPACE "cantor/assistants")

    target_link_libraries("cantor_${name}"
        ${KDE4_KDEUI_LIBS}
        cantorlibs)

endfunction()


add_subdirectory(solve)
add_subdirectory(integrate)
add_subdirectory(differentiate)
add_subdirectory(linearalgebra)
add_subdirectory(runscript)
add_subdirectory(plot2d)
add_subdirectory(plot3d)
add_subdirectory(advancedplot)
add_subdirectory(importpackage)

=== src/backends/CMakeLists.txt ===
function(add_backend name)

    kcoreaddons_add_plugin("cantor_${name}"
        SOURCES ${ARGN}
        JSON "${name}.json"
        INSTALL_NAMESPACE "cantor/backends")

    target_link_libraries("cantor_${name}"
        cantorlibs)

endfunction()

add_subdirectory(null)
add_subdirectory(maxima)
add_subdirectory(octave)
add_subdirectory(scilab)

if(NOT WIN32)
    add_subdirectory(sage)
endif(NOT WIN32)

set_package_properties(Analitza5 PROPERTIES DESCRIPTION "A library provided by KAlgebra."
    URL "http://edu.kde.org/kalgebra/"
    TYPE OPTIONAL
    PURPOSE "Backend to use KAlgebra with Cantor.")

find_package(Analitza5)
if(Analitza5_FOUND)
    add_subdirectory(kalgebra)
endif(Analitza5_FOUND)

set_package_properties(R PROPERTIES DESCRIPTION "A free software environment for statistical computing and graphics."
    URL "http://www.r-project.org/"
    TYPE OPTIONAL
    PURPOSE "Backend to use R with Cantor.")

find_package(R)
if(R_FOUND)
    add_subdirectory(R)
endif(R_FOUND)

set_package_properties(Qalculate PROPERTIES DESCRIPTION "A multi-purpose desktop calculator with support for customizable functions, units and arbitrary precision."
    URL "http://qalculate.sourceforge.net/"
    TYPE OPTIONAL
    PURPOSE "Backend to use Qalculate with Cantor.")

find_package(Qalculate)
if(QALCULATE_FOUND)
    add_subdirectory(qalculate)
endif(QALCULATE_FOUND)

set_package_properties(PythonLibs PROPERTIES DESCRIPTION "A powerful dynamic programming language."
    URL "https://www.python.org/"
    TYPE OPTIONAL
    PURPOSE "Backend to use Python 2 with Cantor.")

# If PythonInterp has been found (which it is indirectly by KF5I18n),
# find_package(PythonLibs) will prefer that version over whatever
# version information you pass the find_package call. Set a special
# variable to override that:
set(Python_ADDITIONAL_VERSIONS 2.7)
find_package(PythonLibs 2.7)

set_package_properties(PythonLibs3 PROPERTIES DESCRIPTION "A powerful dynamic programming language."
    URL "https://www.python.org/"
    TYPE OPTIONAL
    PURPOSE "Backend to use Python 3 with Cantor.")

find_package(PythonLibs3)

if(PYTHONLIBS_FOUND OR PYTHONLIBS3_FOUND)
    add_subdirectory(python)
endif(PYTHONLIBS_FOUND OR PYTHONLIBS3_FOUND)

if(PYTHONLIBS_FOUND)
    add_subdirectory(python2)
endif(PYTHONLIBS_FOUND)

if(PYTHONLIBS3_FOUND)
    add_subdirectory(python3)
endif(PYTHONLIBS3_FOUND)

set_package_properties(LuaJIT PROPERTIES DESCRIPTION "A lightweight, extensible programming language (luajit implementation)."
    URL "http://www.lua.org/"
    TYPE OPTIONAL
    PURPOSE "Backend to use Lua (luajit2) with Cantor.")

find_package(LuaJIT)
if(LUAJIT_FOUND)
    add_subdirectory(lua)
endif(LUAJIT_FOUND)

=== src/lib/CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,7 @@
   defaultvariablemodel.cpp
   panelplugin.cpp
   panelpluginhandler.cpp
+  worksheetaccess.cpp
   directives/plotdirectives.cpp
 )
 
@@ -44,8 +45,8 @@
   textresult.h
   #helper classes
   defaulthighlighter.h
-  defaultvariablemodel.h
-
+  defaultvariablemodel.h  
+  worksheetaccess.h
 )
 
 ki18n_wrap_ui(cantor_LIB_SRCS directives/axisrange.ui directives/plottitle.ui)
@@ -57,12 +58,21 @@
 
 add_library( cantorlibs  SHARED ${cantor_LIB_SRCS} )
 
+kcoreaddons_desktop_to_json(cantorlibs cantor_assistant.desktop)
+kcoreaddons_desktop_to_json(cantorlibs cantor_backend.desktop)
+kcoreaddons_desktop_to_json(cantorlibs cantor_panelplugin.desktop)
+
 target_link_libraries( cantorlibs
-  KF5::KDELibs4Support
+  KF5::Completion
+  KF5::IconThemes
   KF5::KIOCore
+  KF5::KIOFileWidgets
+  KF5::KIOWidgets
   KF5::Archive
   KF5::ConfigCore
   KF5::ConfigGui
+  KF5::I18n
+  KF5::XmlGui
   ${QT5_LIBRARIES}
   Qt5::Xml
 )
@@ -79,8 +89,4 @@
   COMPONENT Devel
 )
 
-install( FILES cantor_backend.desktop  DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})
-install( FILES cantor_assistant.desktop  DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})
-install( FILES cantor_panelplugin.desktop  DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})
-
 add_subdirectory(test)

=== src/assistants/integrate/CMakeLists.txt ===
set( IntegrateAssistant_SRCS
     integrateassistant.cpp
)

ki18n_wrap_ui(IntegrateAssistant_SRCS integratedlg.ui)

add_assistant(integrateassistant ${IntegrateAssistant_SRCS})

install( FILES cantor_integrate_assistant.rc  DESTINATION  ${KDE_INSTALL_DATADIR}/cantor )

=== src/backends/maxima/CMakeLists.txt ===
set( MaximaBackend_SRCS
 maximabackend.cpp
 maximasession.cpp
 maximaexpression.cpp
 maximaextensions.cpp
 maximahighlighter.cpp
 maximakeywords.cpp
 maximacompletionobject.cpp
 maximasyntaxhelpobject.cpp
 maximavariablemodel.cpp
)

kconfig_add_kcfg_files(MaximaBackend_SRCS settings.kcfgc)
install(FILES maximabackend.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

ki18n_wrap_ui(MaximaBackend_SRCS settings.ui)

add_backend(maximabackend ${MaximaBackend_SRCS})

if(NOT WIN32)
  target_link_libraries(cantor_maximabackend KF5::Pty)
endif(NOT WIN32)

add_executable( testmaxima testmaxima.cpp)
target_link_libraries( testmaxima
  cantorlibs
  cantortest
  ${QTTEST_LIBRARY}
)

install( FILES cantor_maxima.knsrc  DESTINATION  ${KDE_INSTALL_CONFDIR} )
install( FILES keywords.xml cantor-initmaxima.lisp DESTINATION ${KDE_INSTALL_DATADIR}/cantor/maximabackend)

=== src/backends/python3/CMakeLists.txt ===
set( Python3Backend_SRCS
     python3backend.cpp
     python3session.cpp
)

kconfig_add_kcfg_files(Python3Backend_SRCS settings.kcfgc)

add_backend(python3backend ${Python3Backend_SRCS})

target_link_libraries(cantor_python3backend
    cantor_pythonbackend
    Qt5::DBus)

install(FILES cantor_python3.knsrc  DESTINATION  ${KDE_INSTALL_CONFDIR})
install(FILES python3backend.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

add_subdirectory(python3server)
add_subdirectory(tests)

=== src/backends/sage/CMakeLists.txt ===
set( SageBackend_SRCS
 sagebackend.cpp
 sagesession.cpp
 sageexpression.cpp
 sageextensions.cpp
 sagekeywords.cpp
 sagehighlighter.cpp
 sagecompletionobject.cpp
)

kconfig_add_kcfg_files(SageBackend_SRCS settings.kcfgc)
install(FILES sagebackend.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

ki18n_wrap_ui(SageBackend_SRCS settings.ui)

add_backend(sagebackend ${SageBackend_SRCS})

target_link_libraries( cantor_sagebackend KF5::Pty)

add_executable( testsage testsage.cpp)
target_link_libraries( testsage
  ${QT_QTTEST_LIBRARY}
  cantorlibs
  cantortest
)

install( FILES cantor_sage.knsrc  DESTINATION  ${KDE_INSTALL_CONFDIR} )
install( FILES keywords.xml DESTINATION ${KDE_INSTALL_DATADIR}/cantor/sagebackend)

=== src/lib/test/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/..)

set(cantortest_SRCS
    backendtest.cpp)

add_library( cantortest SHARED ${cantortest_SRCS} )

target_link_libraries( cantortest
    cantorlibs
    Qt5::Test)

=== debian/changelog ===
cantor (4:15.12.1-0ubuntu3) xenial; urgency=medium

  * Only build the maxima backend on !s390x as maxima is not available there 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 15 Mar 2016 01:28:04 +0100

cantor (4:15.12.1-0ubuntu2) xenial; urgency=medium

  * No-change rebuild against libanalitza7 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 15 Mar 2016 00:30:19 +0100

cantor (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * Added worksheetaccess.h to cantor-dev.install  
  * New upstream release

  [ Philip Muškovac ]
  * Merge with debian git master

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:22:37 +0100

cantor (4:15.08.3-1) experimental; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:55 +0100

cantor (4:15.08.1-1) experimental; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 03:16:19 +0200

cantor (4:15.08.0-1) experimental; urgency=medium

  * New upstream release (15.04.0).
  * New upstream release (15.04.1).
  * New upstream release (15.04.2).
  * New upstream release (15.04.3).
  * New upstream release (15.08.0).
  * Update build dependencies.
  * Refresh patches.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Sep 2015 18:15:59 +0200

cantor (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:13:10 +0200

cantor (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (14.12.2).

  [ Scarlett Clark ]
  * Remove weaker suggests cantor-backend-qalculate, as
    it is already a recommends.

  [ Harald Sitter ]
  * Add python-numpy to tests dependencies, should fix python test

  [ Maximiliano Curia ]
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 Feb 2015 11:05:54 +0100

cantor (4:4.14.2-3) unstable; urgency=medium

  * Team upload.
  * Add libsoprano-dev to build-depends since it is no longer transitively
    pulled in

 -- Scott Kitterman <scott@kitterman.com>  Fri, 28 Aug 2015 16:54:15 -0400

=== debian/control ===
--- 
+++ 
@@ -3,43 +3,18 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules,
-               gettext,
-               kdoctools-dev,
-               kgendesignerplugin,
-               kinit-dev,
-               kio-dev,
-               libanalitza-dev,
+               extra-cmake-modules (>= 1.7.0~),
+               libanalitza-dev (>> 4:15.08),
                libglib2.0-dev,
                libkf5archive-dev,
-               libkf5attica-dev,
-               libkf5auth-dev,
-               libkf5bookmarks-dev,
-               libkf5codecs-dev,
-               libkf5completion-dev,
                libkf5config-dev,
-               libkf5configwidgets-dev,
                libkf5coreaddons-dev,
-               libkf5crash-dev,
-               libkf5dbusaddons-dev,
-               libkf5emoticons-dev,
-               libkf5globalaccel-dev,
-               libkf5guiaddons-dev,
-               libkf5i18n-dev,
-               libkf5iconthemes-dev,
-               libkf5itemmodels-dev,
-               libkf5itemviews-dev,
-               libkf5jobwidgets-dev,
                libkf5kdelibs4support-dev,
                libkf5newstuff-dev,
-               libkf5notifications-dev,
                libkf5parts-dev,
                libkf5pty-dev,
-               libkf5service-dev,
-               libkf5solid-dev,
-               libkf5sonnet-dev,
                libkf5texteditor-dev,
                libkf5textwidgets-dev,
                libkf5unitconversion-dev,
@@ -48,20 +23,19 @@
                libkf5xmlgui-dev,
                libluajit-5.1-dev  [i386 amd64],
                libqalculate-dev,
-               libqt5svg5-dev,
-               libqt5xmlpatterns5-dev,
+               libqt5svg5-dev (>= 5.4),
+               libqt5xmlpatterns5-dev (>= 5.4),
                libspectre-dev,
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
-               python-dev,
+               python-dev (>= 2.7~),
                python3-dev,
-               qtbase5-dev,
+               qtbase5-dev (>= 5.4),
                r-base-core
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/cantor.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/cantor.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/cantor.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/cantor.git
 
 Package: cantor
 Architecture: any
@@ -137,7 +111,7 @@
  This package is part of the KDE education module.
 
 Package: cantor-backend-maxima
-Architecture: any
+Architecture: amd64 i386 armhf arm64 powerpc ppc64el
 Section: math
 Depends: maxima, ${misc:Depends}, ${shlibs:Depends}
 Description: Maxima backend for Cantor
@@ -170,6 +144,8 @@
 Architecture: any
 Section: math
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: cantor-backend-python2 (<< 4:15.08)
+Replaces: cantor-backend-python2 (<< 4:15.08)
 Description: Base Python backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -184,7 +160,10 @@
 Package: cantor-backend-python2
 Architecture: any
 Section: math
-Depends: python, ${misc:Depends}, ${shlibs:Depends}
+Depends: libcantor-pythonbackend (= ${binary:Version}),
+         python,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Python2 backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -199,7 +178,10 @@
 Package: cantor-backend-python3
 Architecture: any
 Section: math
-Depends: python3, ${misc:Depends}, ${shlibs:Depends}
+Depends: libcantor-pythonbackend (= ${binary:Version}),
+         python3,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Python3 backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = cantor
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_makeshlibs:
	$(overridden_command) -V

override_dh_strip:
	$(overridden_command) --dbg-package=cantor-dbg

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11,
         gnuplot, python-numpy, python3-numpy
Restrictions: build-needed

## cantor 15.12.3

=== debian/changelog ===
cantor (4:15.12.3-0ubuntu2) xenial; urgency=medium

  * Add missing test dependencies. 
  * Release to archive. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 18 Apr 2016 08:34:16 -0700

cantor (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release. 
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 14:52:01 -0700

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11,
         gnuplot, python-numpy, python3-numpy,
         epstool, transfig, pstoedit
Restrictions: build-needed

## cantor 16.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,14 @@
 
 add_definitions(-DMAKE_CANTORLIBS_LIB)
 
-find_package(ECM 1.7.0 REQUIRED CONFIG)
+# KDE Application Version, managed by release script
+set (KDE_APPLICATIONS_VERSION_MAJOR "16")
+set (KDE_APPLICATIONS_VERSION_MINOR "04")
+set (KDE_APPLICATIONS_VERSION_MICRO "3")
+set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
+
+
+find_package(ECM 5.15.0 REQUIRED CONFIG)
 set(CMAKE_MODULE_PATH ${cantor_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
 find_package(Qt5 CONFIG REQUIRED
@@ -16,7 +23,7 @@
     XmlPatterns
     Test)
 
-find_package(KF5 REQUIRED
+find_package(KF5 5.15 REQUIRED
     Config
     Crash
     Completion

=== src/assistants/linearalgebra/invertmatrix/CMakeLists.txt ===
set( InvertMatrixAssistant_SRCS
     invertmatrixassistant.cpp
)

ki18n_wrap_ui(InvertMatrixAssistant_SRCS invertmatrixdlg.ui)

add_assistant(invertmatrixassistant ${InvertMatrixAssistant_SRCS})

install( FILES cantor_invert_matrix_assistant.rc  DESTINATION  ${KDE_INSTALL_DATADIR}/cantor )

=== debian/changelog ===
cantor (4:16.04.3-0ubuntu2) zesty; urgency=medium

  * No-change rebuild for libqalculate soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Nov 2016 18:45:45 +0000

cantor (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Fix merge. 
  * Install to /tmp to avoid install boom. 
  * rearrange dh_install. Prior commit not triggering. 
  * Remove merge markers. 
  * Remove more merge markers. 
  * Remove even more merge markers. Update new lintian
    override for libcantor_pythonbackend. 
  * Enable scilab. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * Bumping lib version in install file
  * New upstream release 16.04.2
  * Fixing install file
  * New upstream release (16.04.3)
  * Fixing spelling mistakes lintian is complaining about

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:43:45 +0200

cantor (4:15.12.3-0ubuntu3) yakkety; urgency=medium

  * No-change rebuild for libmatio soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Apr 2016 13:48:31 +0000

cantor (4:15.12.2-1) unstable; urgency=medium

  * New upstream release (15.12.2).
  * Disable scilab support, (wait for #749833 to be fixed to re-enable
    it).
  * Bump Standards-Version to 3.9.7, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 29 Feb 2016 09:02:06 +0100

cantor (4:15.12.1-2) experimental; urgency=medium

  * Install cantor_lua.knsrc only if present.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Feb 2016 12:50:12 +0100

cantor (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:13 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,17 @@
 	# Disable dh_auto_test at build time
 	:
 
+override_dh_install:
+	$(overridden_command)
+	--destdir=debian/tmp \
+	# The luajit is available only in amd64 and i386 for now
+	if [ -f debian/tmp/etc/xdg/cantor_lua.knsrc ]; then \
+	    mkdir -p debian/cantor/etc/xdg; \
+	    cp debian/tmp/etc/xdg/cantor_lua.knsrc debian/cantor/etc/xdg; \
+	fi 
+
 override_dh_makeshlibs:
 	$(overridden_command) -V
 
 override_dh_strip:
-	$(overridden_command) --dbg-package=cantor-dbg
+	$(overridden_command) --ddeb-migration='cantor-dbg (<= 4:15.12.1-1~~)'

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11,
         gnuplot, python-numpy, libgl1-mesa-dri
Restrictions: build-needed

## cantor 16.08.3

=== debian/changelog ===
cantor (4:16.08.3-1) unstable; urgency=medium

  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 20:49:59 +0100

cantor (4:16.08.2-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Refresh patches
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (16.08.2)
  * Update install files

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 00:03:38 +0200

cantor (4:16.04.2-1) unstable; urgency=medium

  * Add new patch: upstream_drop_settingswidget_files.patch (Closes: 792078)
    Thanks to Scott Kitterman for the report.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 24 Jun 2016 09:10:44 +0200

cantor (4:16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Add scilab files to the not-installed list
  * Update build-deps and deps with the info from cmake
  * Refresh patches

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * Add new lintian-override for package-must-activate-ldconfig-trigger

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 01:27:36 +0200

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,29 @@
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.7.0~),
+               extra-cmake-modules (>= 5.15.0~),
+               kdoctools-dev (>= 5.15~),
+               kio-dev (>= 5.15~),
                libanalitza-dev (>> 4:15.08),
                libglib2.0-dev,
-               libkf5archive-dev,
-               libkf5config-dev,
-               libkf5coreaddons-dev,
+               libkf5archive-dev (>= 5.15~),
+               libkf5completion-dev (>= 5.15~),
+               libkf5config-dev (>= 5.15~),
+               libkf5coreaddons-dev (>= 5.15~),
+               libkf5crash-dev (>= 5.15~),
+               libkf5doctools-dev (>= 5.15~),
+               libkf5i18n-dev (>= 5.15~),
+               libkf5iconthemes-dev (>= 5.15~),
                libkf5kdelibs4support-dev,
-               libkf5newstuff-dev,
-               libkf5parts-dev,
-               libkf5pty-dev,
-               libkf5texteditor-dev,
-               libkf5textwidgets-dev,
-               libkf5unitconversion-dev,
-               libkf5widgetsaddons-dev,
-               libkf5windowsystem-dev,
-               libkf5xmlgui-dev,
-               libluajit-5.1-dev  [i386 amd64],
+               libkf5kio-dev (>= 5.15~),
+               libkf5newstuff-dev (>= 5.15~),
+               libkf5parts-dev (>= 5.15~),
+               libkf5pty-dev (>= 5.15~),
+               libkf5texteditor-dev (>= 5.15~),
+               libkf5textwidgets-dev (>= 5.15~),
+               libkf5xmlgui-dev (>= 5.15~),
+               liblapack3,
+               libluajit-5.1-dev [i386 amd64],
                libqalculate-dev,
                libqt5svg5-dev (>= 5.4),
                libqt5xmlpatterns5-dev (>= 5.4),
@@ -32,10 +38,10 @@
                python3-dev,
                qtbase5-dev (>= 5.4),
                r-base-core
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/cantor.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/cantor.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/cantor.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/cantor.git
 
 Package: cantor
 Architecture: any
@@ -49,8 +55,7 @@
           cantor-backend-python2,
           cantor-backend-python3,
           cantor-backend-r,
-          cantor-backend-sage,
-          cantor-backend-scilab [i386 amd64]
+          cantor-backend-sage
 Description: interface for mathematical applications
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -111,7 +116,7 @@
  This package is part of the KDE education module.
 
 Package: cantor-backend-maxima
-Architecture: amd64 i386 armhf arm64 powerpc ppc64el
+Architecture: any
 Section: math
 Depends: maxima, ${misc:Depends}, ${shlibs:Depends}
 Description: Maxima backend for Cantor
@@ -128,7 +133,7 @@
 Package: cantor-backend-octave
 Architecture: any
 Section: math
-Depends: ghostscript, octave, ${misc:Depends}, ${shlibs:Depends}
+Depends: octave, ${misc:Depends}, ${shlibs:Depends}
 Description: Octave backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -243,27 +248,10 @@
  .
  This package is part of the KDE education module.
 
-Package: cantor-backend-scilab
-Architecture: amd64 i386
-Section: math
-Depends: scilab-cli, ${misc:Depends}, ${shlibs:Depends}
-Description: Scilab backend for Cantor
- Cantor is an application to allow you to you use your favorite mathematical
- applications from within an elegant worksheet interface. It provides dialogs
- to assist with common tasks and allows you to share your worksheets
- with others.
- .
- This package provides the backend for using the Scilab scientific software
- package for numerical computations (http://www.scilab.org) in Cantor.
- .
- This package is part of the KDE education module.
-
 Package: cantor-backend-lua
 Architecture: amd64 i386
 Section: math
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: cantor (<< 4:15.08.0+git20150909)
-Replaces: cantor (<< 4:15.08.0+git20150909)
 Description: Lua backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -272,19 +260,6 @@
  .
  This package provides the backend for using the Lua language
  (http://www.lua.org) in Cantor.
- .
- This package is part of the KDE education module.
-
-Package: cantor-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: cantor (= ${binary:Version}), ${misc:Depends}
-Breaks: kdeedu-dbg (<< 4:4.6.80)
-Replaces: kdeedu-dbg (<< 4:4.6.80)
-Description: debugging symbols for cantor
- This package contains debugging files used to investigate problems with
- binaries included in cantor.
  .
  This package is part of the KDE education module.

=== debian/rules ===
--- 
+++ 
@@ -10,15 +10,14 @@
 
 override_dh_install:
 	$(overridden_command)
-	--destdir=debian/tmp \
 	# The luajit is available only in amd64 and i386 for now
 	if [ -f debian/tmp/etc/xdg/cantor_lua.knsrc ]; then \
 	    mkdir -p debian/cantor/etc/xdg; \
 	    cp debian/tmp/etc/xdg/cantor_lua.knsrc debian/cantor/etc/xdg; \
-	fi 
+	fi
 
 override_dh_makeshlibs:
 	$(overridden_command) -V
 
 override_dh_strip:
-	$(overridden_command) --ddeb-migration='cantor-dbg (<= 4:15.12.1-1~~)'
+	$(overridden_command) --dbgsym-migration='cantor-dbg (<= 4:15.12.1-1~~)'

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/cantor-([\d.]+).tar.xz
